#!/bin/bash

version="1.25.16"

# Uninstall dashscope
if ! pip3 uninstall -y dashscope; then
    echo "Error: Failed to uninstall dashscope"
    popd > /dev/null
    exit 1
fi

# Install local dashscope whl
if ! pip3 install ../dashscope-${version}-py3-none-any.whl -i https://mirrors.aliyun.com/pypi/simple/; then
    echo "Error: Failed to install dependencies"
    popd > /dev/null
    exit 1
fi

# Install dependencies
#if ! pip3 install -r requirements.txt -i https://mirrors.aliyun.com/pypi/simple/; then
#    echo "Error: Failed to install dependencies"
#    popd > /dev/null
#    exit 1
#fi
